@echo off
GOTO start
:start
cd\gp4
del *.run
exec
rem goto end
IF EXIST g_vi.run GOTO gv
IF EXIST g_d.run GOTO gd
IF EXIST g_s.run GOTO gs
IF EXIST g_f.run GOTO gf
IF EXIST g_ldk.run GOTO gl
IF EXIST d_com.run GOTO dc
IF EXIST d_ddp.run GOTO dd
IF EXIST d_vi.run GOTO dv
IF EXIST d_list.run GOTO dl
IF EXIST d_print.run GOTO dp
IF EXIST l_mkl.run GOTO lm
IF EXIST l_list.run GOTO ll
IF EXIST l_aref.run GOTO la
IF EXIST l_bref.run GOTO lb
IF EXIST l_eref.run GOTO le
IF EXIST t_tdo.run GOTO tdo
IF EXIST t_dto.run GOTO tto
IF EXIST t_tda.run GOTO tda
IF EXIST t_dta.run GOTO tta
IF EXIST t_tty.run GOTO ty
IF EXIST f_com.run GOTO fc
IF EXIST f_vi.run GOTO fv
IF EXIST f_list.run GOTO fl
IF EXIST f_print.run GOTO fp
IF EXIST d_bp.run GOTO fb
IF EXIST end.run GOTO end
:gv
cd\gp4\gp
CALL g_vi
GOTO start
:gd
cd\gp4\gp
g_d
GOTO start
:gs
cd\gp4\gp
g_s
GOTO start
:gf
cd\gp4\gp
g_f
GOTO start
:gl
cd\gp4\gp
g_ldk
GOTO start
:dc
cd\gp4\ddp
CALL d_comp
GOTO start
:dd
cd\gp4\ddp
d_ddp
GOTO start
:dv
cd\gp4\ddp
d_vi
GOTO start
:dl
cd\gp4\ddp
d_list
GOTO start
:dp
cd\gp4\ddp
d_print
GOTO start
:lm
cd\gp4\list
l_mkl
GOTO start
:ll
cd\gp4\list
l_list
GOTO start
:la
cd\gp4\list
l_aref
GOTO start
:lb
cd\gp4\list
l_bref
GOTO start
:le
cd\gp4\list
l_eref
GOTO start
:tdo
cd\gp4\drum
t_tdo
GOTO start
:tto
cd\gp4\drum
t_dto
GOTO start
:tda
cd\gp4\drum
t_tda
GOTO start
:tta
cd\gp4\drum
t_dta
GOTO start
:ty
cd\gp4\drum
t_tty
GOTO start
:fc
cd\gp4\dafg
f_com
GOTO start
:fv
cd\gp4\dafg
f_vi
GOTO start
:fl
cd\gp4\dafg
f_list
GOTO start
:fp
cd\gp4\dafg
f_print
GOTO start
:fb
cd\gp4\ddp
d_bp
GOTO start
:end
